Function
arrayCopy
Copies a range of objects into another range of objects.
arrayCopy(source_begin, source_end, target)
Include Headers
seqan/basic.h
Parameters

source_begin | Iterator to the first element of the source range.
source_end | Iterator behind the last element of the source range. source_end must have the same type as source_begin.
target | Iterator to the first element of the target range. The target capacity should be at least as long as the source range.

Remarks
If there is no need for the source elements to persist, consider to use arrayMoveForward instead to improve performance.
If source and target range do not overlap, consider to use arrayCopyForward instead to improve performance.
See Also
SimpleType, arrayCopyBackward, arrayFill, arrayCopyForward, arrayMove, arrayConstructCopy, arrayClearSpace
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46